cURL
curl -X POST https://api.relayer.fi/v1/transactions/broadcast/$TRANSACTION_ID/retry \
-H "Authorization: ApiKey $RELAYER_API_KEY"// Retry a transaction that failed at chain submission (transient: insufficient
// gas, mempool full, RPC hiccup). Re-broadcasts the existing signed tx — does
// NOT re-sign or change anything else.
const response = await fetch(
`https://api.relayer.fi/v1/transactions/broadcast/${transactionId}/retry`,
{
method: "POST",
headers: { Authorization: `ApiKey ${process.env.RELAYER_API_KEY}` },
},
);import requests
url = "https://testnet.relayer.fi/v1/transactions/broadcast/{transactionId}/retry"
payload = { "rpcUrl": "https://api.avax.network/ext/bc/C/rpc" }
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({rpcUrl: 'https://api.avax.network/ext/bc/C/rpc'})
};
fetch('https://testnet.relayer.fi/v1/transactions/broadcast/{transactionId}/retry', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"message": "<string>",
"statusCode": 123,
"timestamp": "<string>",
"data": {
"transactionId": "tx-uuid-abc123",
"txHash": "0x789...",
"status": "broadcasted",
"broadcastedAt": "2024-01-01T12:10:00Z"
},
"path": "<string>",
"traceId": "<string>"
}Transactions
Retry broadcasting a failed transaction
Retries broadcasting a transaction that previously failed. Only failed transactions can be retried. Only transactions belonging to the integrator can be retried.
POST
/
transactions
/
broadcast
/
{transactionId}
/
retry
cURL
curl -X POST https://api.relayer.fi/v1/transactions/broadcast/$TRANSACTION_ID/retry \
-H "Authorization: ApiKey $RELAYER_API_KEY"// Retry a transaction that failed at chain submission (transient: insufficient
// gas, mempool full, RPC hiccup). Re-broadcasts the existing signed tx — does
// NOT re-sign or change anything else.
const response = await fetch(
`https://api.relayer.fi/v1/transactions/broadcast/${transactionId}/retry`,
{
method: "POST",
headers: { Authorization: `ApiKey ${process.env.RELAYER_API_KEY}` },
},
);import requests
url = "https://testnet.relayer.fi/v1/transactions/broadcast/{transactionId}/retry"
payload = { "rpcUrl": "https://api.avax.network/ext/bc/C/rpc" }
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({rpcUrl: 'https://api.avax.network/ext/bc/C/rpc'})
};
fetch('https://testnet.relayer.fi/v1/transactions/broadcast/{transactionId}/retry', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"message": "<string>",
"statusCode": 123,
"timestamp": "<string>",
"data": {
"transactionId": "tx-uuid-abc123",
"txHash": "0x789...",
"status": "broadcasted",
"broadcastedAt": "2024-01-01T12:10:00Z"
},
"path": "<string>",
"traceId": "<string>"
}Authorizations
api-keyapi-key
Use this format: ApiKey <your_api_key>
Path Parameters
Transaction ID
Example:
"tx-uuid-abc123"
Query Parameters
Integrator ID (required for ADMIN/INTERNAL scope)
Example:
"uuid-integrator-id"
Body
application/json
Broadcast parameters
RPC URL for broadcasting (optional, uses default if not provided)
Example:
"https://api.avax.network/ext/bc/C/rpc"
⌘I